Subject: RE: Technical question: problems with NFS root mounting on SA1110 (As

From: Jeff Sutherland <[email-masked]>
Date: Tue, 20 Jun 2000 16:09:13 -0400

>>  Earlier I modified 
> spinlock handling in
> > fs/namei.c which got me beyond that point, but now it's 
> blowing up at line
> > #661 of fs/open.c.  The line:
> > 
> > error = f->f_op->open(inode,f);
> 
> It sounds very much like a compiler/binutils problem.  What 
> versions are you
> using to compile the kernel?

binutils 2.9.5.0.27, gcc -v says "gcc version 2.95.2 19991024 (release)"
I've been watching the CVS on netwinder.org for a later set to try.  Our
'pipe' is not big enough here at work to just download the sources
willy-nilly...

> Also, it may be useful to know what file it's trying to open 
> - you can get
> this from the dentry structure.

/dev/ttyS0.  I'm still drilling down through all the layers.  Currently in
tty_open (drivers/char/tty_io.c) and failing on a call to whatever's being
pointed at in tty->driver.open (hmm, looks like trouble in rs_open...).
Since yours is working, and Nico hinted that it had something to do with
serial drivers in the SA1100 stuff, I think I'm getting closer. 

//Jeff

unsubscribe: body of `unsubscribe linux-arm-kernel' to [email-masked]

---

From: Russell King - ARM Linux Admin <[email-masked]>
Date: Tue, 20 Jun 2000 21:38:55 +0100 (BST)

Jeff Sutherland writes:
> binutils 2.9.5.0.27
> gcc -v says "gcc version 2.95.2 19991024 (release)"

Hmm, I'm using both 2.9.5.0.16 and 2.9.5.0.32 to build the 2.4 kernels, and
my-own-special-brew-of-gcc and gcc 2.95.1 19990816.

> serial drivers in the SA1100 stuff, I think I'm getting closer. 

Sounds like its the problem.
   _____
  |_____| ------------------------------------------------- ---+---+-
  |   |        Russell King       [email-masked]      --- ---
  | | | |            http://www.arm.linux.org.uk/            /  /  |
  | +-+-+                                                     --- -+-
  /   |               THE developer of ARM Linux              |+| /|\
 /  | | |                                                     ---  |
    +-+-+ -------------------------------------------------  /\\\  |